org.apache.hadoop.mapreduce.v2.app.webapp

## Class CountersPage

- java.lang.Object
- - org.apache.hadoop.yarn.webapp.View
  - - org.apache.hadoop.yarn.webapp.view.TextView
    - - org.apache.hadoop.yarn.webapp.view.HtmlPage
      - - org.apache.hadoop.yarn.webapp.view.TwoColumnLayout
        - - org.apache.hadoop.mapreduce.v2.app.webapp.AppView
          - - org.apache.hadoop.mapreduce.v2.app.webapp.CountersPage

- All Implemented Interfaces:
    org.apache.hadoop.yarn.webapp.Params

      public class CountersPage
      extends AppView

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.hadoop.yarn.webapp.view.HtmlPage

      `org.apache.hadoop.yarn.webapp.view.HtmlPage.__, org.apache.hadoop.yarn.webapp.view.HtmlPage.Page`

    - ### Nested classes/interfaces inherited from class org.apache.hadoop.yarn.webapp.View

      `org.apache.hadoop.yarn.webapp.View.ViewContext`

  - ### Field Summary

    - ### Fields inherited from class org.apache.hadoop.yarn.webapp.view.HtmlPage

      `DOCTYPE`

    - ### Fields inherited from class org.apache.hadoop.yarn.webapp.View

      `LOG`

    - ### Fields inherited from interface org.apache.hadoop.yarn.webapp.Params

      `ERROR_DETAILS, TITLE, TITLE_LINK, USER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CountersPage()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Class<? extends org.apache.hadoop.yarn.webapp.SubView>` | `content()`
    `protected void` | `postHead(org.apache.hadoop.yarn.webapp.hamlet2.Hamlet.HTML<org.apache.hadoop.yarn.webapp.view.HtmlPage.__> html)`
    `protected void` | `preHead(org.apache.hadoop.yarn.webapp.hamlet2.Hamlet.HTML<org.apache.hadoop.yarn.webapp.view.HtmlPage.__> html)`

    - ### Methods inherited from class org.apache.hadoop.mapreduce.v2.app.webapp.AppView

      `commonPreHead, nav`

    - ### Methods inherited from class org.apache.hadoop.yarn.webapp.view.TwoColumnLayout

      `footer, header, render, setTableStyles`

    - ### Methods inherited from class org.apache.hadoop.yarn.webapp.view.HtmlPage

      `render`

    - ### Methods inherited from class org.apache.hadoop.yarn.webapp.view.TextView

      `echo, echoWithoutEscapeHtml, puts, putWithoutEscapeHtml, writer`

    - ### Methods inherited from class org.apache.hadoop.yarn.webapp.View

      `$, $, context, cookies, error, getInstance, inDevMode, info, injector, moreParams, outputStream, prefix, render, request, response, root_url, root, set, setTitle, setTitle, status, url`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CountersPage

          public CountersPage()

  - ### Method Detail

    - #### preHead

          protected void preHead(org.apache.hadoop.yarn.webapp.hamlet2.Hamlet.HTML<org.apache.hadoop.yarn.webapp.view.HtmlPage.__> html)

      Overrides:
        `preHead` in class `AppView`

    - #### postHead

          protected void postHead(org.apache.hadoop.yarn.webapp.hamlet2.Hamlet.HTML<org.apache.hadoop.yarn.webapp.view.HtmlPage.__> html)

      Overrides:
        `postHead` in class `org.apache.hadoop.yarn.webapp.view.TwoColumnLayout`

    - #### content

          protected Class<? extends org.apache.hadoop.yarn.webapp.SubView> content()

      Overrides:
        `content` in class `AppView`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.